Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.server.ui.wizard
Interface IWizardHandle

    public interface IWizardHandle

A wizard handle.

Since:
  1.0

Method Summary
`void` | `run(boolean fork, boolean cancelable, IRunnableWithProgress runnable)` Execute a runnable within the context of the wizard.
`void` | `setDescription(java.lang.String desc)` The page's description.
`void` | `setImageDescriptor(ImageDescriptor image)` The page's image descriptor.
`void` | `setMessage(java.lang.String newMessage, int newType)` Set an error or warning message.
`void` | `setTitle(java.lang.String title)` Sets the title of this wizard page.
`void` | `update()` Updates the wizard error messages and buttons.

Method Detail

### update

    void update()

  Updates the wizard error messages and buttons.

### setTitle

    void setTitle(java.lang.String title)

  Sets the title of this wizard page.

  Parameters:
    `title` - the title of the wizard page

### setDescription

    void setDescription(java.lang.String desc)

  The page's description.

  Parameters:
    `desc` - the page's description

### setImageDescriptor

    void setImageDescriptor(ImageDescriptor image)

  The page's image descriptor.

  Parameters:
    `image` - the page's image descriptor

### setMessage

    void setMessage(java.lang.String newMessage,
                    int newType)

  Set an error or warning message.

  Parameters:
    `newMessage` - the new message
    `newType` - the new type, from IStatus

### run

    void run(boolean fork,
             boolean cancelable,
             IRunnableWithProgress runnable)
             throws java.lang.InterruptedException,
                    java.lang.reflect.InvocationTargetException

  Execute a runnable within the context of the wizard. This will typically disable the wizard while the runnable is running, and provide a progress monitor for the user.

  Parameters:
    `fork` - true if a separate thread should be used
    `cancelable` - true if it should be cancelable
    `runnable` - the runnable
  Throws:
    `java.lang.InterruptedException` - thrown if it is interrupted
    `java.lang.reflect.InvocationTargetException` - thrown if there is an error

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD